﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Tb_StudentTransfer>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)
<script>
    $("#txtFDate").datepicker();
    $("#txtTDate").datepicker();
    </script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#Searchbtn").click(function () {

                //var roll = $("#txtrollno").val();
                //var sname = $("#txtname").val();
                //var branchto = $("#txtbranchto").val();
                //var branchfrom = $("#txtbranchfrom").val();
                var FDT = $("#txtFDate").val();
                var TDT = $("#txtTDate").val();
                if (FDT!="" && TDT !="") {
                    //window.location.href = "/Tb_StudentTransfer/Index?roll=" + roll + "&name=" + sname + "&branchto=" + branchto + "&branchfrom=" + branchfrom;
                    window.location.href = "/Tb_StudentTransfer/Index?fdt=" + FDT + "&tdt=" + TDT;
                }
                else {
                        alert("Please Fill Date  Fields")
                }
                
            });



        });
        deleterecord("Tb_StudentTransfer");

    </script>
    <script>
        $("#printbtn").click(function () {
            var FDT = $("#txtFDate").val();
            var TDT = $("#txtTDate").val();
            var format = $("#format").val();
            if (FDT!="" && TDT !="") {
                window.location.href = "/Tb_StudentTransfer/PrintData?fdt=" + FDT + "&tdt=" + TDT + "&format="+format;
            }
            else {
                alert("Please Fill Date  Fields");
            }
        })
    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Student Transfer List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>

<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <div style="margin-top: 40px" >
            <table >
                <tr>
                    <td  align="left">
                      From Date
                    </td>
                    <td style="vertical-align: middle">
                        To Date
                    </td>
                    @*<td>
                        Branch To
                    </td>
                    <td>
                        Branch From
                    </td>*@
                    <td></td>
                </tr>
              
                <tr>
                    <td>
                        <input id="txtFDate" type="text" value="@ViewBag.Fdate" style="width: 110px" />
                    </td>
                    <td>
                        <input id="txtTDate" type="text" value="@ViewBag.Tdate" style="width: 110px"/>
                    </td>
                    @*<td>
                        <input id="txtrollno" type="text" value="@ViewBag.rollno" style="width: 110px" />
                    </td>
                    <td>
                        <input type="text" style="width: 110px" id="txtname" value="@ViewBag.name" />
                    </td>
                    <td>
                        <input type="text" style="width: 110px" id="txtbranchto" value="@ViewBag.branchTo" />
                    </td>
                    <td>
                        <input type="text" style="width: 110px" id="txtbranchfrom" value="@ViewBag.branchFrom" />
                    </td>*@
                    <td>
                       
                        <select id="format" style="width:105px;">
                            <option value="PDF">PDF</option>
                            <option value="Excel">Excel</option>
                        </select>
                    </td>
                    <td style="vertical-align: top">
                        <table>
                            <tr>
                                <td style="vertical-align: top">
                                    <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" />
                                    <input type="button" value="Print" id="printbtn" class="btn btn-primary" />
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    @*<td align="left" width="50%">
                        @Html.ActionLink("Create New", "TransferStudent","MaAdmission")
                    </td>*@
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                           Old Roll No.
                        </th>
                        <th>
                            New Roll No.
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Branch To
                        </th>
                        <th>
                            Branch From
                        </th>
                        <th>
                            Transfer to User
                        </th>
                        <th>
                          Trnasfer by User
                        </th>
                        <th>
                            Status
                        </th>
                        <th>
                            Date of<br /> Transfer
                        </th>
                        <th>
                            Accept Date
                        </th>
                        
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                    string bgcolor = "oddrow";
                    }
                    @foreach (var item in Model)
                    {
                        if (i % 2 == 0)
                        {
                            bgcolor = "evenrow";
                        }
                        else
                        {
                            bgcolor = "oddrow";
                        }
                        i++;
                        <tr class="@bgcolor">
                            <td>
                                @Html.DisplayFor(modelItem => item.OldRollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.RollNo)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaAdmission.FirstName)
                                @Html.DisplayFor(modelItem => item.MaAdmission.LastName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaBranch.BramchName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.MaBranch1.BramchName)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.User.Fullname)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.User1.Fullname)
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Status)
                            </td>
                            <td>
                                @{
                        string cdate = string.Format("{0:dd MMM,yyyy}", item.TransferDate);
                                }
                                @cdate
                            </td>
                            <td>
                                @{
                                    string Adate = string.Format("{0:dd MMM,yyyy}", item.AcctDate);
                                }
                                @Adate
                            </td>
                          
                            <td>
                                @{ if (item.Status != true)
                                 {
                                       @*@Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "EditTransferStudent","MaAdmission", new { id = item.Id })*@
                                   <a href="/MaAdmission/EditTransferStudent/@item.Id"><i class="icon-edit" title="Edit"></i>  </a>
                                    
                                     int roleid = StaticLogic.RoleId();
                                     if (Permission.CheckPermission(roleid, CommonUtil.StudentTransfer, UserAction.Delete) == true)
                                     {
                                        @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "Delete", "Tb_StudentTransfer", new { id = item.Id }, new { @class = "delete-link" }, null)

                                     }
                                 }}
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", new { id = item.Id })
                                @*<a href="/MaAdmission/CourseHistory/@item.OldStudId"><i class="icon-arrow-right" title="Old Course Hisory"></i> </a>*@
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
        <div id="delete-dialog" title="Confirmation">
            <p>
                Are You Sure you want to delete this
            </p>
        </div>
        <table width="100%" align="center">
            <tr>
                <td align="left" width="50%">
                    @Html.Partial("_Pager")
                </td>
            </tr>
        </table>
    </div>
</div>
